{
    num: -32179,
    accuracy: 100,
    basePower: 55,
    category: "Physical",
    name: "Void Step",
    pp: 15,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1, kicking: 1 },
    onBasePowerCallback(pokemon, target, source, move) {
      if (["voidfog"].includes(source.effectiveWeather())) {
        return move.basePower * 1.5;
      }
      return move.basePower;
    },
    onModifyPriority(priority, source, target, move) {
      if (this.field.isWeather("voidfog")) {
        return priority + 1;
      }
    },
    secondary: null,
    target: "normal",
    type: "Dark",
    contestType: "Cool"
}